PHP - instalacion de apache y php

   
Vista:

instalacion de apache y php

Publicado por viviana (7 intervenciones) el 21/02/2008 23:17:23
estoy trabajando con windows. instale el apache 2.2.8. funciona
instale el php 5.2.5 supuestamente para apache 2.2.x.
en el monitor de apache en la barra de estado dice "Apache/2.2.8 (Win32) PHP 5.2.5", lo que me da a entender que esta todo bien. sin embargo al probar las paginas php en localhost o 127.0.0.1 no las procesa, que puede estar fallando?
leyendo por ahi vi que no aconsejan usar el instalador de php, sino hacer una instalacion manual y empezar a modificar y mover archivos.
me gustaria usar el instalador y no andar tocando por todos lados
alguna idea?
Valora esta pregunta
Me gusta: Está pregunta es útil y esta claraNo me gusta: Está pregunta no esta clara o no es útil
0
Responder

RE:instalacion de apache y php

Publicado por omar yépez (224 intervenciones) el 22/02/2008 15:10:09
Si es mejor usar un instalador para las dos herramientas si se hace muy dificil la instalacion de apache y PHP manualmente.

Primero instalas apache normalmente paracticamete es darle solo a siguiente

Luego instalas PHP 5 e igualmente le das a siguiente siempre, lo unico que tienes estar pendiente es cuando el instalador de PHP te pida el archivo de configuracion de apache osea el http.config

Los puedes descargar de la pagina oficial de cada uno de ellos.

Sino los encuentras dame tu e-mail para mandartelas
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:instalacion de apache y php

Publicado por viviana (7 intervenciones) el 22/02/2008 18:24:13
hola omar, gracias por las instrucciones.
es que eso es justamente lo que hice y no funciono
instale ambas cosas mediante un instalador y sin embaego php no era procesado correctamente en el servidor
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:instalacion de apache y php

Publicado por omar yépez (224 intervenciones) el 22/02/2008 18:44:05
ok otra cosa que se me ocurre es que en muchos tutoriales los codigos de php empiezan asi

<? codigo php ?>

En el php.ini viene por defecto que solo reconozca estos tags <?php ?>

<?php codigo php ?>

si tu codigo es como el primero Reviza tu php.ini busca la directiva

short_open_tag

y coloca On /* short_open_tag = On */

reinicia tu servidor apache y prueba a ver.........

Cualquier cosa avisa............
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

ya puse esa solucion

Publicado por viviana (7 intervenciones) el 22/02/2008 19:46:25
ya puse esa solucion
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:ya puse esa solucion

Publicado por omar yépez (224 intervenciones) el 22/02/2008 21:49:34
Me alegro que te haya servido esta solucion!!!.....
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:instalacion de apache y php SOLUCION

Publicado por viviana (7 intervenciones) el 22/02/2008 18:44:53
bueno, por si a alguien le sirve:
lo que yo hice estaba bien
instale el apache 2.2.8
luego instale el php 5.2.5 (via instalador)

ahora para que funcione bien hay que verificar lo siguiente

en el php.ini tengo que tener esto:
short_open_tag = On

en el httpd.conf:
<IfModule dir_module>
DirectoryIndex index.php index.html
</IfModule>

y

#BEGIN PHP INSTALLER EDITS - REMOVE ONLY ON UNINSTALL
PHPIniDir "C:/Archivos de programa/PHP/"
LoadModule php5_module "C:/Archivos de programa/PHP/php5apache2_2.dll"
#END PHP INSTALLER EDITS - REMOVE ONLY ON UNINSTALL

y en el mime.types:
application/x-httpd-php php
application/x-httpd-php-source phps
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar

RE:instalacion de apache y php

Publicado por Ariel (9 intervenciones) el 25/02/2008 17:13:55
Hola, te recomendaría que instalaras XAMPP (http://www.apachefriends.org/en/xampp.html) En un solo paso instalas Apache, PHP y MySQL. Yo lo estoy usando y está excelente.
Saludos.-
Valora esta respuesta
Me gusta: Está respuesta es útil y esta claraNo me gusta: Está respuesta no esta clara o no es útil
0
Comentar